Overview
========
The TPM project is a demonstration program of generating a combined PWM signal by the SDK TPM driver. It sets up the TPM
hardware block to output PWM signals(24kHZ) on two TPM channels. The example also show's the complementary mode of operation
and deadtime insertion. The PWM duty cycle is manually updated and is initially 10%.
On boards that have 2 LEDs connected to the TPM pins, the user will see
a change in LED brightness if user enter different values.
And if the board do not support LEDs to show, the outputs can be observed by oscilloscope.

SDK version
===========
- Version: 2.16.000

Toolchain supported
===================
- IAR embedded Workbench  9.60.1
- Keil MDK  5.39.0
- GCC ARM Embedded  13.2.1

Hardware requirements
=====================
- Mini/micro USB cable
- FRDM-K32L3A6 board
- Personal Computer
- Oscilloscope

Board settings
==============
No special settings are required.

Prepare the Demo
================
1. Connect a USB cable between the host PC and the OpenSDA USB port on the target board.
2. Open a serial terminal with the following settings:
    - 115200 baud rate
    - 8 data bits
    - No parity
    - One stop bit
    - No flow control
3. Download the program to the target board.
4. Either press the reset button on your board or launch the debugger in your IDE to begin running the example.

Running the demo
================
When the example runs successfully, you can see information from the terminal as below.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
TPM example to output combined complementary PWM signals on two channels

If an LED is connected to the TPM pin, you will see a change in LED brightness if you enter different values
If no LED is connected to the TPM pin, then probe the signal using an oscilloscope
Please enter a value to update the Duty cycle:
Note: The range of value is 1 to 9.
For example: If enter '5', the duty cycle will be set to 50 percent.
Value:5
The duty cycle was successfully updated!

Please enter a value to update the Duty cycle:
Note: The range of value is 1 to 9.
For example: If enter '5', the duty cycle will be set to 50 percent.
Value:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

M0 core: Use oscilloscope to measure output signal pin at PTB13(J1-8),PTB14(J1-10) pin of FRDM-K32L3A6 board.
M4 core: Use oscilloscope to measure output signal pin at PTB2(J2-2),PTB3(J2-4) pin of FRDM-K32L3A6 board.
